Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.model
Class ModelFactoryBase

    java.lang.Object
      com.hp.hpl.jena.rdf.model.ModelFactoryBase

Direct Known Subclasses:
  ModelFactory

    public class ModelFactoryBase

extends java.lang.Object

Helper functions for ModelFactory - in here to keep from obtruding on the end-users.

Author:
  kers

Constructor Summary
`ModelFactoryBase()`

Method Summary
`static java.lang.String` | `extractType(java.lang.String dbURL)` Guess the database type as the string between the first and second colons of the URL.
`static boolean` | `guessDBConcurrent()` Return true if the database should support concurrent read during transactions
`static java.lang.String` | `guessDBDriver()`
`static java.lang.String` | `guessDBPassword()`
`static java.lang.String` | `guessDBType()`
`static java.lang.String` | `guessDBURL()`
`static java.lang.String` | `guessDBUser()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelFactoryBase

    public ModelFactoryBase()

Method Detail

### guessDBURL

    public static java.lang.String guessDBURL()

### guessDBUser

    public static java.lang.String guessDBUser()

### guessDBPassword

    public static java.lang.String guessDBPassword()

### guessDBType

    public static java.lang.String guessDBType()

### guessDBDriver

    public static java.lang.String guessDBDriver()

### guessDBConcurrent

    public static boolean guessDBConcurrent()

  Return true if the database should support concurrent read during transactions

### extractType

    public static java.lang.String extractType(java.lang.String dbURL)

  Guess the database type as the string between the first and second colons of the URL. This method is public so that it may be invoked from test packages.

  Parameters:
    `dbURL` - a string of the form nocolons:somename:somestuff
  Returns:
    somename

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP